package cn.com.ty.lift.ud.liftCaseAppeal.service;

import cn.com.ty.lift.ud.liftCaseAppeal.controller.query.LiftCaseAppealQuery;
import cn.com.ty.lift.ud.liftCaseAppeal.mapper.entity.CancelSeasonDto;
import cn.com.ty.lift.ud.liftCaseAppeal.mapper.entity.LiftCaseAppealEntity;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 诊单申诉 -Service
 * 
 * @author Xson
 * @date 2020-04-23
 */
public interface ILiftCaseAppealService extends IService<LiftCaseAppealEntity> {

    RestResponse selectByExample(LiftCaseAppealQuery request);

    void cancelById(CancelSeasonDto cancelDto);

    void endAppeal(Long id);

    RestResponse refund(Long id,Long userId);

    RestResponse create(LiftCaseAppealEntity entity);
    
    LiftCaseAppealEntity getByDataId(Long id);
}
